VULKAN_HPP_NAMESPACE::DeviceQueueInfo2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceQueueInfo2:
[legend]

## Public Member Functions

| DeviceQueueInfo2 (DeviceQueueCreateFlags flags_=DeviceQueueCreateFlags(), uint32_t queueFamilyIndex_=0, uint32_t queueIndex_=0)
| DeviceQueueInfo2 (VkDeviceQueueInfo2 const &rhs)
DeviceQueueInfo2 & | operator= (VkDeviceQueueInfo2 const &rhs)
DeviceQueueInfo2 & | setPNext (const void *pNext_)
DeviceQueueInfo2 & | setFlags (DeviceQueueCreateFlags flags_)
DeviceQueueInfo2 & | setQueueFamilyIndex (uint32_t queueFamilyIndex_)
DeviceQueueInfo2 & | setQueueIndex (uint32_t queueIndex_)
| operator VkDeviceQueueInfo2 const & () const
| operator VkDeviceQueueInfo2 & ()
bool | operator== (DeviceQueueInfo2 const &rhs) const
bool | operator!= (DeviceQueueInfo2 const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceQueueCreateFlags | flags
uint32_t | queueFamilyIndex
uint32_t | queueIndex

## Private Attributes

StructureType | sType = StructureType::eDeviceQueueInfo2

## Detailed Description

Definition at line 22245 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceQueueInfo2() [1/2]

VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::DeviceQueueInfo2 | ( | DeviceQueueCreateFlags | flags_ = `DeviceQueueCreateFlags()`,
|  | uint32_t | queueFamilyIndex_ = `0`,
|  | uint32_t | queueIndex_ = `0`
| ) |  |

inline

Definition at line 22247 of file vulkan.hpp.

: flags( flags_ )
, queueFamilyIndex( queueFamilyIndex_ )
, queueIndex( queueIndex_ )
{
}

## DeviceQueueInfo2() [2/2]

VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::DeviceQueueInfo2 | ( | VkDeviceQueueInfo2 const & | rhs | ) |

inline

Definition at line 22256 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceQueueInfo2 ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceQueueInfo2 &()

VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::operator VkDeviceQueueInfo2 & | ( |  | ) |

inline

Definition at line 22295 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceQueueInfo2*>(this);
}

## operator VkDeviceQueueInfo2 const &()

VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::operator VkDeviceQueueInfo2 const & | ( |  | ) | const

inline

Definition at line 22290 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceQueueInfo2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::operator!= | ( | DeviceQueueInfo2 const & | rhs | ) | const

inline

Definition at line 22309 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceQueueInfo2& VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::operator= | ( | VkDeviceQueueInfo2 const & | rhs | ) |

inline

Definition at line 22261 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceQueueInfo2 ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::operator== | ( | DeviceQueueInfo2 const & | rhs | ) | const

inline

Definition at line 22300 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( queueFamilyIndex == rhs.queueFamilyIndex )
&& ( queueIndex == rhs.queueIndex );
}

References flags, pNext, queueFamilyIndex, queueIndex, and sType.

Referenced by operator!=().

## setFlags()

DeviceQueueInfo2& VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::setFlags | ( | DeviceQueueCreateFlags | flags_ | ) |

inline

Definition at line 22272 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

DeviceQueueInfo2& VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 22266 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setQueueFamilyIndex()

DeviceQueueInfo2& VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::setQueueFamilyIndex | ( | uint32_t | queueFamilyIndex_ | ) |

inline

Definition at line 22278 of file vulkan.hpp.

{
queueFamilyIndex = queueFamilyIndex_;
return *this;
}

References queueFamilyIndex.

## setQueueIndex()

DeviceQueueInfo2& VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::setQueueIndex | ( | uint32_t | queueIndex_ | ) |

inline

Definition at line 22284 of file vulkan.hpp.

{
queueIndex = queueIndex_;
return *this;
}

References queueIndex.

## Field Documentation

## flags

DeviceQueueCreateFlags VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::flags

Definition at line 22319 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::pNext = nullptr

Definition at line 22318 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## queueFamilyIndex

uint32_t VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::queueFamilyIndex

Definition at line 22320 of file vulkan.hpp.

Referenced by operator==(), and setQueueFamilyIndex().

## queueIndex

uint32_t VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::queueIndex

Definition at line 22321 of file vulkan.hpp.

Referenced by operator==(), and setQueueIndex().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::sType = StructureType::eDeviceQueueInfo2

private

Definition at line 22315 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::queueFamilyIndex
uint32_t queueFamilyIndex
Definition: vulkan.hpp:22320
VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::operator==
bool operator==(DeviceQueueInfo2 const &rhs) const
Definition: vulkan.hpp:22300
VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::queueIndex
uint32_t queueIndex
Definition: vulkan.hpp:22321
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::DeviceQueueInfo2
DeviceQueueInfo2(DeviceQueueCreateFlags flags_=DeviceQueueCreateFlags(), uint32_t queueFamilyIndex_=0, uint32_t queueIndex_=0)
Definition: vulkan.hpp:22247
VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::flags
DeviceQueueCreateFlags flags
Definition: vulkan.hpp:22319
VkDeviceQueueInfo2
Definition: vulkan_core.h:4290
VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::pNext
const void * pNext
Definition: vulkan.hpp:22318
VULKAN_HPP_NAMESPACE::DeviceQueueInfo2::sType
StructureType sType
Definition: vulkan.hpp:22315
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480